#ifndef UMESH2DGUI_H
#define UMESH2DGUI_H

/* 

    umesh2dgui, a GUI for umesh2d grid generator 

    Copyright (C) 2003 Gabriele Dini Ciacci
  
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#include <fltk/Window.h>
#include <fltk/Widget.h>
#include <fltk/run.h>
#include <fltk/Choice.h>
#include <fltk/Color.h>
#include <fltk/Input.h>
#include <fltk/Group.h>
#include <fltk/ValueInput.h>
#include <fltk/Button.h>
#include <fltk/file_chooser.h>
#include <fltk/ask.h> // this is for message, ask, alert...
#include <fltk/ScrollGroup.h>
#include <stdio.h>
//#include <fltk/xpmImage.h>
//#include "folder03.xpm"
#include "BDFile.h"
#include "MyGL.h"

void line_cb();
void circle_cb();
void ellipse_cb();
void new_dataline_cb();
void clear_cb();
void add_line_cb();
void add_circle_cb();
void add_ellipse_cb();
void openfilebrowser();
void createfile();
#endif
